export type CourtObject = { type: "ball" } & CourtObjects

export interface CourtObjects {
    /**
     * The ball is a "ball" court object
     */
    readonly type: "ball"

    /**
     * Percentage of the player's position to the bottom (0 means top, 1 means bottom, 0.5 means middle)
     */
    readonly bottomRatio: number
    /**
     * Percentage of the player's position to the right (0 means left, 1 means right, 0.5 means middle)
     */
    readonly rightRatio: number
}
